Package org.codehaus.janino

# Interface Visitor.FunctionDeclaratorVisitor<R,EX extends Throwable>

Type Parameters:
  `R` - The type of the object returned by the `visit*()` methods
  `EX` - The exception that the `visit*()` methods may throw

Enclosing class:
  `Visitor`

public static interface Visitor.FunctionDeclaratorVisitor<R,EX extends Throwable>
The visitor for all kinds of `Java.FunctionDeclarator`s.

## Method Summary

Modifier and Type
Method
Description
`R`
`visitConstructorDeclarator(Java.ConstructorDeclarator cd)`
Invoked by `Java.FunctionDeclarator.accept(Visitor.TypeBodyDeclarationVisitor)`
`R`
`visitMethodDeclarator(Java.MethodDeclarator md)`
Invoked by `Java.FunctionDeclarator.accept(Visitor.TypeBodyDeclarationVisitor)`

## Method Details

### visitConstructorDeclarator

@Nullable R visitConstructorDeclarator(Java.ConstructorDeclarator cd) throws EX
Invoked by `Java.FunctionDeclarator.accept(Visitor.TypeBodyDeclarationVisitor)`

Throws:
  `EX`

### visitMethodDeclarator

@Nullable R visitMethodDeclarator(Java.MethodDeclarator md) throws EX
Invoked by `Java.FunctionDeclarator.accept(Visitor.TypeBodyDeclarationVisitor)`

Throws:
  `EX`